Subject: Cannot build, e.g., gnome-vfs2.
To: None <>
From: Richard Rauch <>
List: tech-pkg
Date: 06/08/2005 05:13:02
For a few days I've been unable to build gnome-vfs2 from pkgsrc.
From the error messages, it appears to be a ...pkgsrc/mk/* problem,
so I've updated that several times, but the errors have not gone
away.  The system is NetBSD/amd64-current 3.99.3.  The errors are:

===> Overriding tools for gnome-vfs2-2.10.1
pkg_info: missing package name(s)
usage: pkg_info [-BbcDdFfhIikLmNnpqRrSsVv] [-e package] [-K pkg_dbdir] [-l prefix]
                pkg-name [pkg-name ...]
       pkg_info -a [flags]
       pkg_info -Q variable pkg-name [pkg-name ...]
make: "../../mk/wrapper/../../mk/buildlink3/../../mk/wrapper/../../mk/buildlink3/" line 325: warning: Couldn't read shell's output for "/usr/sbin/pkg_info -K . -qp  | /usr/bin/sed  -e "s,^[^/]*,,;q""
===> Creating toolchain wrappers for gnome-vfs2-2.10.1
Syntax error: expecting "in"
*** Error code 2
 [...string of dependency errors---I was trying to build .../graphics/gimp...]

Is anyone else seeing this?  (I've also tried updating the particular
package directory and (make clean && make).  The error persists.)

  "I probably don't know what I'm talking about."